Subject: [apps-discuss] SPECIAL-USE (RFC 6154) in Sieve (RFC 5228): draft-bosch-sieve-special-use-00.txt

From: Stephan Bosch <[email-masked]>
Date: Mon, 4 Apr 2016 22:22:36 +0200

Hi,

Currently, the Sieve language (RFC 5228) lacks the means of freely accessing the IMAP special-use mailbox attributes (RFC 6154). For example, it would be nice to be able to determine what the Junk mailbox is during Sieve processing at delivery, based on which mailbox has the "\Junk" special-use attribute assigned.

I created a draft specification that adds this functionality. I posted this before on the IETF Sieve mailing list (affiliation updated). A few people expressed their interest there already. I was told that the apps-discuss mailing list is still the best venue for putting this document forward. Now that the draft submission is reopened, I have submitted it. The announcement of the submission is attached. 

Please tell me what you think.

Regards,

Stephan.

Subject: New Version Notification for draft-bosch-sieve-special-use-00.txt
From: [email-masked]
To: "Stephan Bosch" <[email-masked]>
Date: Mon, 04 Apr 2016 12:49:31 -0700

A new version of I-D, draft-bosch-sieve-special-use-00.txt
has been successfully submitted by Stephan Bosch and posted to the
IETF repository.

Name:		draft-bosch-sieve-special-use
Revision:	00
Title:		Sieve Email Filtering: Delivering to Special-Use Mailboxes
Document date:	2016-04-04
Group:		Individual Submission
Pages:		8
URL:            https://www.ietf.org/internet-drafts/draft-bosch-sieve-special-use-00.txt
Status:         https://datatracker.ietf.org/doc/draft-bosch-sieve-special-use/
Htmlized:       https://tools.ietf.org/html/draft-bosch-sieve-special-use-00

Abstract:
   The SPECIAL-USE capability of the IMAP protocol (RFC 6154) allows
   clients to identify special-use mailboxes; e.g., where draft or sent
   messages should be put.  This simplifies client configuration.  In
   contrast, the Sieve mail filtering language (RFC 5228) currently has
   no such capability.  This memo defines a Sieve extension that fills
   this gap: it adds a test for checking whether a special-use attribute
   is assigned for a particular mailbox or any mailbox, and it adds the
   ability to file messages into an anonymous mailbox that has a
   particular special-use attribute assigned.

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

The IETF Secretariat